  #!/bin/bash

  # 使用说明，在主机之上选择你的合适的目录
  # 上传的最新的项目代码，然后把这个脚本放置于你的项目目录之中



  # 修改下面的参数
  if [[ $# -eq 0 ]]; then
      echo "tag version is null!"
      exit 233
  fi

  tag_version=$1

  echo "start to build docker image tag is => ${tag_version}"
  docker build -t harbor.cdcyy.com.cn/cmii/cmii-uavms-pyfusion:${tag_version} .
  echo ""

  echo "login to docker hub"
  docker login -u rad02_drone -p Drone@1234 harbor.cdcyy.com.cn

  echo ""

  echo "start to push image to hub!"
  docker push harbor.cdcyy.com.cn/cmii/cmii-uavms-pyfusion:${tag_version}